<div class='input-page-link' {{did-insert this.setup}} ...attributes>
  <div class='form-check'>
    <Input
      class='form-check-input chk-external-link'
      @type='checkbox'
      @checked={{this.hasExternalLink}}
      id='page-link-chk-{{this.elementId}}'
    />
    <label class='form-check-label' for='page-link-chk-{{this.elementId}}'>
      {{t 'external link'}}
    </label>
  </div>

  <div class='form-floating mb-3'>
    {{#if this.hasExternalLink}}
      <Input
        @value={{this.textValue}}
        class='form-control text-link'
        id='page-link-{{this.elementId}}'
        placeholder={{t 'link'}}
      />
    {{else}}
      <Input::Select
        @value={{this.value}}
        @list={{this.pages}}
        @onChange={{this.change}}
        id='page-link-{{this.elementId}}'
        class='form-control select-link'
      />
    {{/if}}
    <label for='page-link-{{this.elementId}}'>{{t 'link'}}</label>
  </div>
</div>